package com.example.user.controller;

import com.example.user.domain.Details;
import com.example.user.domain.User;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.bson.types.ObjectId;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/details")
@Api("详情接口")
public class DetailsController {
    @Autowired
    MongoTemplate mongoTemplate;
    @PostMapping("/save")
    @ApiOperation("新增详情")
    public Details add(@Validated @RequestBody Details details){
        return mongoTemplate.insert( details );
    }
    @ApiOperation("根据detailsId查询内容")
    @GetMapping("/{detailsId}")
    public Details get(@PathVariable String detailsId){
        ObjectId objectId = new ObjectId(detailsId);
        Details details = mongoTemplate.findById(,Details.class, "details");
        System.out.println(details);
        return details;
    }


}
